org.springframework.util

## Class SerializationUtils

- java.lang.Object
- - org.springframework.util.SerializationUtils

    public abstract class SerializationUtils
    extends Object

Static utilities for serialization and deserialization.

Since:
  3.0.5
Author:
  Dave Syer

### Constructor Summary

Constructors
Constructor and Description
`SerializationUtils()`

### Method Summary

Methods
`static Object` `deserialize(byte[] bytes)` Deserialize the byte array into an object.
`static byte[]` `serialize(Object object)` Serialize the given object to a byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializationUtils

    public SerializationUtils()

### Method Detail

#### serialize

    public static byte[] serialize(Object object)

Serialize the given object to a byte array.

Parameters:
  `object` - the object to serialize
Returns:
  an array of bytes representing the object in a portable fashion

#### deserialize

    public static Object deserialize(byte[] bytes)

Deserialize the byte array into an object.

Parameters:
  `bytes` - a serialized object
Returns:
  the result of deserializing the bytes